Get delivery
curl --request GET \
--url https://api.meetecho.ai/v1/projects/{projectId}/webhooks/{webhookId}/deliveries/{deliveryId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meetecho.ai/v1/projects/{projectId}/webhooks/{webhookId}/deliveries/{deliveryId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meetecho.ai/v1/projects/{projectId}/webhooks/{webhookId}/deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
"webhook_endpoint_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"project_id": "e56b4c35-882d-4604-9944-9763d314ea59",
"event_id": "cc66d0a2-7cfd-481f-9826-596e2bb9d58f",
"event_name": "call.summary",
"status": "failed",
"attempt_count": 4,
"next_retry_at": null,
"payload": {
"event_name": "call.summary",
"event_id": "cc66d0a2-7cfd-481f-9826-596e2bb9d58f",
"customer_id": "8cc6199f-9466-46f2-9db7-936f3c2c1c0b",
"notification_id": "b612d95c-0941-4e4a-8a1e-b8da7baf82a1",
"data": {}
},
"created_at": "2026-04-12T15:54:24.323Z",
"updated_at": "2026-04-12T16:24:24.323Z",
"attempts": [
{
"id": "f1e2d3c4-b5a6-9078-ef12-34567890abcd",
"delivery_id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
"attempt_number": 1,
"triggered_by": "auto",
"http_status": 500,
"response_body": "Internal Server Error",
"duration_ms": 312,
"success": false,
"error_message": null,
"created_at": "2026-04-12T15:54:24.323Z"
}
]
}Delivery Logs
Get Delivery
Returns a single delivery record with all per-attempt details.
GET
/
projects
/
{projectId}
/
webhooks
/
{webhookId}
/
deliveries
/
{deliveryId}
Get delivery
Authorizations
ApiKeyBearerAuth
Echo API key — format: echo_<64 hex chars>. Returned once on signup.
Path Parameters
Response
Delivery with attempts
Example:
"d1e2f3a4-b5c6-7890-abcd-ef1234567890"
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Example:
"e56b4c35-882d-4604-9944-9763d314ea59"
Example:
"cc66d0a2-7cfd-481f-9826-596e2bb9d58f"
Available options:
call.started, call.ended, call.summary Example:
"call.summary"
Available options:
pending, retrying, success, failed Example:
"success"
Example:
1
Example:
"2026-04-12T15:54:24.323Z"
Example:
"2026-04-12T15:54:24.323Z"
Show child attributes
Show child attributes
⌘I